petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscTime

Returns the current time of day in seconds.

### Synopsis

    #include <petsctime.h>
    PetscTime(PetscLogDouble *v)

Not Collective

### Output Parameter

v -time counter

### Usage

PetscLogDouble v; PetscTime(&v); .... perform some calculation ... printf("Time for operation %g\n",v);

### Notes

Since the PETSc libraries incorporate timing of phases and operations, we do not recommend ever using PetscTime() The options database command -log_view activate PETSc library timing. See Users-Manual: Chapter 13 Profiling for more details.

### See Also

PetscTimeSubtract(), PetscTimeAdd(), PetscLogStageRegister(), PetscLogEventRegister(), PetscLogEventBegin(), PetscLogEventEnd()

### Keywords

Petsc, time

### Level

developer

### Location

src/sys/time/../../../include/petsctime.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages